curl --request POST \
--url https://api.vori.com/v1/store-products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"name": "<string>",
"barcode": "<string>",
"department_id": "<string>",
"description": "<string>",
"disable_barcode_sanitization": true,
"active": true,
"retail_price": "199.99",
"minimum_retail_price": "199.99",
"maximum_retail_price": "199.99",
"retail_price_unit_of_measure_id": "<string>",
"brand": "<string>",
"target_margin": 123,
"case_size": 123,
"pack_size": 123,
"min_customer_age": 123,
"loyalty_points_per_dollar": "199.99",
"unit_volume_quantity": "199.99",
"unit_volume_uom_name": "<string>",
"wic_enabled": false,
"wic_override_plu": "<string>",
"snap_enabled": false,
"ebt_enabled": false,
"is_tippable": false,
"is_blackhawk_gift_card": false,
"is_reloadable_blackhawk_gift_card": false,
"print_physical_tag": false,
"ecommerce_enabled": false,
"variable_sale_price": false,
"sold_by_weight": false,
"prompt_for_quantity": false,
"manual_item": false,
"tax_rate_ids": [
"<string>"
],
"variable_weight_ids": [
"<string>"
],
"item_modifier_ids": [
"<string>"
],
"food_modifier_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"country_of_origin": "<string>",
"store_vendor_products": [
{
"storeVendorID": "<string>",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mutationKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"storeProductID": "<string>",
"parentProductID": "<string>",
"itemCode": "<string>",
"unitUPC": "<string>",
"caseUPC": "<string>",
"packUPC": "<string>",
"caseSize": 123,
"barcode": "<string>",
"description": "<string>",
"brandName": "<string>",
"unitVolume": "<string>",
"caseSizeDecimal": "199.99",
"caseCost": "199.99",
"eachCost": "199.99",
"lbCost": "199.99",
"costStartTime": "2023-11-07T05:31:56Z",
"isOrderPrimary": true,
"isPricingEligible": true,
"alternateIdentifiers": [
{
"description": "<string>"
}
],
"id": "<string>"
}
],
"sync_to_deli_scales": false,
"alcohol_by_volume": "199.99",
"notes": "<string>",
"ingredients": "<string>",
"shelf_life_days": 500,
"last_printed_at": "2023-11-07T05:31:56Z",
"snap_incentive_earnable": false,
"snap_incentive_redeemable": false,
"discount_restrictions": [],
"store_product_group_rule_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}
'import requests
url = "https://api.vori.com/v1/store-products"
payload = { "data": {
"name": "<string>",
"barcode": "<string>",
"department_id": "<string>",
"description": "<string>",
"disable_barcode_sanitization": True,
"active": True,
"retail_price": "199.99",
"minimum_retail_price": "199.99",
"maximum_retail_price": "199.99",
"retail_price_unit_of_measure_id": "<string>",
"brand": "<string>",
"target_margin": 123,
"case_size": 123,
"pack_size": 123,
"min_customer_age": 123,
"loyalty_points_per_dollar": "199.99",
"unit_volume_quantity": "199.99",
"unit_volume_uom_name": "<string>",
"wic_enabled": False,
"wic_override_plu": "<string>",
"snap_enabled": False,
"ebt_enabled": False,
"is_tippable": False,
"is_blackhawk_gift_card": False,
"is_reloadable_blackhawk_gift_card": False,
"print_physical_tag": False,
"ecommerce_enabled": False,
"variable_sale_price": False,
"sold_by_weight": False,
"prompt_for_quantity": False,
"manual_item": False,
"tax_rate_ids": ["<string>"],
"variable_weight_ids": ["<string>"],
"item_modifier_ids": ["<string>"],
"food_modifier_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"country_of_origin": "<string>",
"store_vendor_products": [
{
"storeVendorID": "<string>",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mutationKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"storeProductID": "<string>",
"parentProductID": "<string>",
"itemCode": "<string>",
"unitUPC": "<string>",
"caseUPC": "<string>",
"packUPC": "<string>",
"caseSize": 123,
"barcode": "<string>",
"description": "<string>",
"brandName": "<string>",
"unitVolume": "<string>",
"caseSizeDecimal": "199.99",
"caseCost": "199.99",
"eachCost": "199.99",
"lbCost": "199.99",
"costStartTime": "2023-11-07T05:31:56Z",
"isOrderPrimary": True,
"isPricingEligible": True,
"alternateIdentifiers": [{ "description": "<string>" }],
"id": "<string>"
}
],
"sync_to_deli_scales": False,
"alcohol_by_volume": "199.99",
"notes": "<string>",
"ingredients": "<string>",
"shelf_life_days": 500,
"last_printed_at": "2023-11-07T05:31:56Z",
"snap_incentive_earnable": False,
"snap_incentive_redeemable": False,
"discount_restrictions": [],
"store_product_group_rule_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
name: '<string>',
barcode: '<string>',
department_id: '<string>',
description: '<string>',
disable_barcode_sanitization: true,
active: true,
retail_price: '199.99',
minimum_retail_price: '199.99',
maximum_retail_price: '199.99',
retail_price_unit_of_measure_id: '<string>',
brand: '<string>',
target_margin: 123,
case_size: 123,
pack_size: 123,
min_customer_age: 123,
loyalty_points_per_dollar: '199.99',
unit_volume_quantity: '199.99',
unit_volume_uom_name: '<string>',
wic_enabled: false,
wic_override_plu: '<string>',
snap_enabled: false,
ebt_enabled: false,
is_tippable: false,
is_blackhawk_gift_card: false,
is_reloadable_blackhawk_gift_card: false,
print_physical_tag: false,
ecommerce_enabled: false,
variable_sale_price: false,
sold_by_weight: false,
prompt_for_quantity: false,
manual_item: false,
tax_rate_ids: ['<string>'],
variable_weight_ids: ['<string>'],
item_modifier_ids: ['<string>'],
food_modifier_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
country_of_origin: '<string>',
store_vendor_products: [
{
storeVendorID: '<string>',
uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
mutationKey: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
storeProductID: '<string>',
parentProductID: '<string>',
itemCode: '<string>',
unitUPC: '<string>',
caseUPC: '<string>',
packUPC: '<string>',
caseSize: 123,
barcode: '<string>',
description: '<string>',
brandName: '<string>',
unitVolume: '<string>',
caseSizeDecimal: '199.99',
caseCost: '199.99',
eachCost: '199.99',
lbCost: '199.99',
costStartTime: '2023-11-07T05:31:56Z',
isOrderPrimary: true,
isPricingEligible: true,
alternateIdentifiers: [{description: '<string>'}],
id: '<string>'
}
],
sync_to_deli_scales: false,
alcohol_by_volume: '199.99',
notes: '<string>',
ingredients: '<string>',
shelf_life_days: 500,
last_printed_at: '2023-11-07T05:31:56Z',
snap_incentive_earnable: false,
snap_incentive_redeemable: false,
discount_restrictions: [],
store_product_group_rule_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
}
})
};
fetch('https://api.vori.com/v1/store-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"store_id": "<string>",
"department_id": "<string>",
"tax_rates": [
{
"id": "<string>",
"name": "<string>",
"value": "199.99"
}
],
"item_modifiers": [
{
"id": "<string>",
"name": "<string>",
"value": "199.99"
}
],
"food_modifier_categories": [
{
"id": "<string>",
"name": "<string>",
"priority": 123,
"min_selection": 123,
"max_selection": 123,
"modifiers": [
{
"id": "<string>",
"priority": 123,
"item_modifier": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"value": "199.99"
}
}
]
}
],
"additional_barcodes": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"store_id": "<string>",
"barcode": "<string>",
"store_product_id": "<string>"
}
],
"variable_weights": [
{
"id": "<string>",
"name": "<string>",
"value": "199.99"
}
],
"brand": "<string>",
"description": "<string>",
"active": true,
"name": "<string>",
"barcode": "<string>",
"target_margin": "199.99",
"case_size": 123,
"pack_size": 123,
"print_physical_tag": true,
"esl_enabled": true,
"label_last_printed_at": "2023-11-07T05:31:56Z",
"wicable": 123,
"min_customer_age": 123,
"wic_enabled": true,
"snap_enabled": true,
"ebt_enabled": true,
"ecommerce_enabled": true,
"variable_sale_price": true,
"sold_by_weight": true,
"prompt_for_quantity": true,
"manual_item": true,
"is_tippable": true,
"is_blackhawk_gift_card": true,
"is_reloadable_blackhawk_gift_card": true,
"snap_incentive_earnable": true,
"snap_incentive_redeemable": true,
"discount_restrictions": [],
"loyalty_points_per_dollar": "199.99",
"unit_volume_quantity": "199.99",
"unit_volume_uom_name": "<string>",
"unit_price": "199.99",
"retail_price": "199.99",
"minimum_retail_price": "199.99",
"maximum_retail_price": "199.99",
"retail_price_effective_at": "2023-11-07T05:31:56Z",
"retail_price_unit_of_measure": {
"id": "<string>",
"name": "<string>",
"description": "<string>"
},
"disable_pos_sync": true,
"country_of_origin": "<string>",
"sync_to_deli_scales": false,
"active_vendor": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"code": "<string>"
},
"active_vendor_product": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mutation_key": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"store_product": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"barcode": "<string>"
},
"store_product_id": "<string>",
"store_id": "<string>",
"store_vendor": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"code": "<string>"
},
"description": "<string>",
"barcode": "<string>",
"item_code": "<string>",
"case_size": "199.99",
"each_cost": "199.99",
"each_cost_start_time": "2023-11-07T05:31:56Z",
"case_cost": "199.99",
"case_cost_start_time": "2023-11-07T05:31:56Z",
"lb_cost": "199.99",
"lb_cost_start_time": "2023-11-07T05:31:56Z",
"brand_name": "<string>",
"unit_volume": "<string>",
"is_order_primary": true
},
"store_vendor_products": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mutation_key": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"store_product": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"barcode": "<string>"
},
"store_product_id": "<string>",
"store_id": "<string>",
"store_vendor": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"code": "<string>"
},
"description": "<string>",
"barcode": "<string>",
"item_code": "<string>",
"case_size": "199.99",
"each_cost": "199.99",
"each_cost_start_time": "2023-11-07T05:31:56Z",
"case_cost": "199.99",
"case_cost_start_time": "2023-11-07T05:31:56Z",
"lb_cost": "199.99",
"lb_cost_start_time": "2023-11-07T05:31:56Z",
"brand_name": "<string>",
"unit_volume": "<string>",
"is_order_primary": true
}
],
"inventory": {
"current": "199.99",
"min_par": "<string>",
"max_stock": "<string>",
"last_changed_at": "2023-11-07T05:31:56Z"
}
}{
"error_code": "duplicate_barcode_types_for_product",
"duplicates": [
{
"barcode": "<string>",
"store_product_id": "<string>"
}
]
}{
"error_code": "insufficient_permissions",
"error_details": {}
}Create store product
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Show child attributes
Show child attributes
Response
When the product was soft-deleted, or null if it has not been deleted.
ID of the store this product belongs to.
^[0-9]+$ID of the store department this product belongs to.
^[0-9]+$Tax rates applied to this product at the register.
Show child attributes
Show child attributes
Item modifiers available for this product.
Show child attributes
Show child attributes
Food modifier categories, and their modifiers, available for this product, ordered by category priority.
Show child attributes
Show child attributes
Barcodes that resolve to this product in addition to the primary barcode.
Show child attributes
Show child attributes
Preset weights for products sold by weight.
Show child attributes
Show child attributes
Brand name.
Short description, intended for character-limited use cases (e.g., printed receipts).
Whether the product is active.
Human-readable product name.
Primary barcode.
Target gross margin for pricing decisions, as a whole-number percentage (35 means 35%).
^-?[0-9]+(\.[0-9]+)?$"199.99"
Number of sellable units in a vendor case.
Number of units in a retail pack.
Whether a physical shelf tag should be printed for this product.
Whether electronic shelf labels are enabled for this product.
When a shelf tag was last printed for this product.
WIC eligibility indicator.
Minimum customer age, in years, required to purchase.
Whether the product is eligible for WIC payment.
Whether the product is eligible for SNAP payment.
Whether the product is eligible for EBT/SNAP payment.
Whether the product is available for e-commerce.
Whether the sale price is entered at the register instead of fixed.
Whether the product is sold by weight rather than by unit.
Whether the register prompts for a quantity when the product is scanned.
Whether the product is entered manually at the register rather than scanned.
Whether purchases of this product can include a tip.
Whether the product is a Blackhawk gift card.
Whether the product is a reloadable Blackhawk gift card.
Whether purchases of this product earn SNAP incentives.
Whether SNAP incentives can be redeemed against this product.
Discount types that may not be applied to this product.
NO_DISCOUNT_WHEN_ON_PROMOTION, NO_DISCOUNTING, NO_DOUBLE_DISCOUNTING Loyalty points earned per dollar spent. Null defaults to one point per dollar.
^[0-9]+(\.[0-9]+)?$"199.99"
Net content quantity, in the unit given by unit_volume_uom_name.
^-?[0-9]+(\.[0-9]+)?$"199.99"
Unit of measure for unit_volume_quantity.
Retail price per unit of measure, in dollars.
^-?[0-9]+(\.[0-9]+)?$"199.99"
Current shelf/retail price in dollars.
^[0-9]+(\.[0-9]+)?$"199.99"
Lower bound for the retail price, in dollars.
^[0-9]+(\.[0-9]+)?$"199.99"
Upper bound for the retail price, in dollars.
^[0-9]+(\.[0-9]+)?$"199.99"
When the current retail price took effect.
Unit of measure the retail price applies to.
Show child attributes
Show child attributes
Whether synchronization of this product to the point-of-sale is disabled.
How the primary vendor is selected for this product.
LATEST_COST, SELECTED_BY_USER ISO 3166-1 alpha-3 country code of origin.
3Whether the product is synchronized to deli scales.
The vendor currently supplying this product.
Show child attributes
Show child attributes
The vendor catalog entry currently supplying this product.
Show child attributes
Show child attributes
Vendor catalog entries for this product.
Show child attributes
Show child attributes
Current inventory levels. Included when requested via include=inventory.
Show child attributes
Show child attributes
Related topics
Create and Manage Product GroupsHow to create a product on the VoriOS appLink Vendor Products to Store ItemsWas this page helpful?